Package wx :: Class Effects

[frames | no frames]

## Type Effects

    object --+
             |
        Object --+
                 |
                Effects

Proxy of C++ Effects class

Method Summary
Effects | `__init__(self)`
| `DrawSunkenEdge(self, dc, rect, borderSize)`
Colour | `GetDarkShadow(self)`
Colour | `GetFaceColour(self)`
Colour | `GetHighlightColour(self)`
Colour | `GetLightShadow(self)`
Colour | `GetMediumShadow(self)`
| `Set(self, highlightColour, lightShadow, faceColour, mediumShadow, darkShadow)`
| `SetDarkShadow(self, c)`
| `SetFaceColour(self, c)`
| `SetHighlightColour(self, c)`
| `SetLightShadow(self, c)`
| `SetMediumShadow(self, c)`
bool | `TileBitmap(self, rect, dc, bitmap)`

Property Summary
| `DarkShadow`: See `GetDarkShadow` and `SetDarkShadow`
| `FaceColour`: See `GetFaceColour` and `SetFaceColour`
| `HighlightColour`: See `GetHighlightColour` and `SetHighlightColour`
| `LightShadow`: See `GetLightShadow` and `SetLightShadow`
| `MediumShadow`: See `GetMediumShadow` and `SetMediumShadow`
| `thisown`: The membership flag

Property Details

### DarkShadow

See `GetDarkShadow` and `SetDarkShadow`

  Get Method:
    `GetDarkShadow`(self)
  Set Method:
    `SetDarkShadow`(self, c)

### FaceColour

See `GetFaceColour` and `SetFaceColour`

  Get Method:
    `GetFaceColour`(self)
  Set Method:
    `SetFaceColour`(self, c)

### HighlightColour

See `GetHighlightColour` and `SetHighlightColour`

  Get Method:
    `GetHighlightColour`(self)
  Set Method:
    `SetHighlightColour`(self, c)

### LightShadow

See `GetLightShadow` and `SetLightShadow`

  Get Method:
    `GetLightShadow`(self)
  Set Method:
    `SetLightShadow`(self, c)

### MediumShadow

See `GetMediumShadow` and `SetMediumShadow`

  Get Method:
    `GetMediumShadow`(self)
  Set Method:
    `SetMediumShadow`(self, c)

### thisown

The membership flag

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:12:44 2007 | http://epydoc.sf.net